<?php
	include_once ('../includes/variables.php');
	DEFINE ('DB_HOST', $host);
	DEFINE ('DB_USER', $username);	 
	DEFINE ('DB_PASSWORD', $password);
	DEFINE ('DB_NAME', $databasename);
?>
 
 
<?php 

    // Send a raw HTTP header 
    header ('Content-Type: text/html; charset=UTF-8'); 
    
    // Declare encoding META tag, it causes browser to load the UTF-8 charset 
    echo '<meta http-equiv="Content-type" content="text/html; charset=UTF-8" />'; 
    
    //echo '<body dir="rtl">'; // Right to Left issue 
    ini_set('default_charset','UTF-8'); 
  
  
    //$data = $_POST['arabic_words'];  
    //$post_id = $_POST['post_id'];  
    // exit();
    
    echo "This is Arabic with Tamil Meaning Php</br></br>";
            
    if (empty($_POST['all_words'])){
        echo "No input data. Exiting....";
        exit();
    }
    
    $str = $_POST['all_words']; 
 
 
    //Create connection
    $conn  = mysqli_connect(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME) or die (mysqli_error($conn)); 
    $sSQL= 'SET CHARACTER SET utf8'; 
    mysqli_query($conn , $sSQL) or die ('Can\'t charset in DataBase'); 

 	//$conn =  new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME); //Good working
 	
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    } 
    
    $dummyarabic = "قَال";
    $query = "SELECT arabic, frequency, id FROM dictionary WHERE arabic=N'$dummyarabic' COLLATE utf8_bin";       
    $result = mysqli_query($conn, $query); 
    
    
    //قَالَ<next>ق و ل<next>சொன்னான், கூறினான், இட்டுக் கட்டினான், அறிவித்தான்<next>to say<next>verb<nextline>
    //$str = "aaa bbb ccc";
    //$str = "قَالَ جَاءَ اللَّهِ"; 
    $lines =  explode("<nextline>", $str);
    $no = 0;
    
    foreach($lines as $SingleRow)
    {
        $no = $no + 1;
        $frequency = 1;
        //$sql = "INSERT INTO dictionary ( arabic, tamil, frequency )  VALUES ( N'arabic', N'tamil', '1' ) "; 
        //$conn->query($sql);
            
            
        $words =  explode("<next>", $SingleRow);
        $entry_arabic = $words[0];
        
        //Uncomment to remove diacritics from end
        //$regex = "/[ ًٌٍَُِْ ]+$/"; //to replace all special characters (.*?!@#$&-_) from the end
        //$entry_arabic = preg_replace($regex, "", $entry_arabic);
        
        $entry_tamil = $words[1];
        $entry_english = $words[2];
        $entry_root = $words[3];
        $entry_type = $words[4];  //verb, noun
        $entry_tag = "AF";         //Who adds data, auto? A=Auto M=Manual F=Farook H=Hakeem
        $entry_frequency = 1;
        $entry_frequency_quran = $words[5];         //Who adds data, auto? A=Auto M=Manual F=Farook H=Hakeem
        
        //echo $entry_arabic."</br>";
        //echo $entry_root."</br>";
        //echo $entry_tamil."</br>";
        //echo $entry_english."</br>";
        //echo $entry_type."</br>";
        
        //That should replace all multiple white-spaces, tabs and new-lines with just one.
        //$entry_arabic = preg_replace('/\s+/S', " ", $entry_arabic);
        //$entry_tamil = preg_replace('/\s+/S', " ", $entry_tamil);
        //$entry_english = preg_replace('/\s+/S', " ", $entry_english);
        //$entry_root = preg_replace('/\s+/S', " ", $entry_root);
        //$entry_type = preg_replace('/\s+/S', " ", $entry_type);
        
        $entry_arabic = RemoveLineBreaks($entry_arabic);
        $entry_tamil = RemoveLineBreaks($entry_tamil);
        $entry_english = RemoveLineBreaks($entry_english);
        $entry_root = RemoveLineBreaks($entry_root);
        $entry_type = RemoveLineBreaks($entry_type);
    
        $sql = "INSERT INTO dictionary ( arabic, tamil, english, root, type, tag, frequency, frequency_quran)  VALUES 
                                       ( N'$entry_arabic', N'$entry_tamil', N'$entry_english',
                                          N'$entry_root', N'$entry_type', N'$entry_tag', '$entry_frequency', '$entry_frequency_quran') "; 
        $conn->query($sql);
        
        echo $no.") New word added:  Arabic: ".$entry_arabic."</br>".
                           ",   Tamil: ".$entry_tamil."</br>".
                           ",   English: ".$entry_english."</br>".
                           ",   Root: ".$entry_root."</br>".
                           ",   Type: ".$entry_type."</br>".
                           ",   Tag: ".$entry_tag."</br>".
                           ",   Freq: ".$entry_frequency."</br>".
                           ",   Freq-Q: ".$entry_frequency_quran."</br>"."</br>";
    }

?>

<?php

    function RemoveLineBreaks($message)
    {
        $replace = " ";
        
        //$pattern = '/\s*/m';
        //$message = preg_replace( $pattern, $replace, $message);
        
        //$entry_arabic = preg_replace('/\s+/S', " ", $entry_arabic);
        $pattern = '/\s+/S';
        $message = preg_replace( $pattern, $replace, $message);
        //$message = preg_replace( "  ", $replace, $message);
        return $message ;
    }
?>
